
from olpcgames import pangofont
import pygame
from spriteutil import load_image, AlphaSprite
class NumberInputButtonSprite(AlphaSprite):
    def __init__(self, game, number):
        file_name = "bubble_%d.png" % number
        x = 100 + 52 * number
        AlphaSprite.__init__(self, game, file_name, top_left=(x,465))
        self.number = str(number)
         
         
    def click_action(self):
        self.game.chalkboard_sprite.add_to_current_answer(self.number)


class ButtonInputSprite(AlphaSprite):
    def __init__(self, game, label, top_left=(0,0)):
        self.label = label
        AlphaSprite.__init__(self, game, 'button.png', top_left)
        
        font = pangofont.PangoFont( size=12)
        font_surface = font.render(self.label, True, (255,255,255))
        fw, fh = font_surface.get_size()
        dw, dh = self.shown_image.get_size()
        x = (dw - fw) / 2
        y = (dh - fh) / 2
        self.shown_image.blit(font_surface, (x,y))
    def click_action(self):
        print "Click %s" % self.label

bx = 875
start = 200
delta = 80
class OKButtonSprite(ButtonInputSprite):
    def __init__(self,game):
        ButtonInputSprite.__init__(self, game, 'OK', (bx, start))
    def click_action(self):
        self.game.chalkboard_sprite.check_current_answer()
        
class ClearButtonSprite(ButtonInputSprite):
    def __init__(self,game):
        ButtonInputSprite.__init__(self, game, 'Clear', (bx, start + delta))
    def click_action(self):
        self.game.chalkboard_sprite.clear_current_answer()

class SkipButtonSprite(ButtonInputSprite):
    def __init__(self,game):
        ButtonInputSprite.__init__(self, game, 'Skip', (bx, start + 2*delta))
    def click_action(self):
        self.game.skip_current_question()
